<?php

//////////////////////////////////////////////////////  SERVIDOR GMAIL ////////////////////////////////////////////////////////////////////

// para utilizar correo GMAIL Debe realizar los siguientes pasos

// 1- habilitar en xampp/php/php/php.ini  la siguiente  extension=php_openssl.dll  
// 2- ir gmail  
// mi cuenta
// Acceso y seguridad 
// al final habiitamos la opcion   Permitir el acceso de aplicaciones menos seguras: SÍ


// servidor por defecto = smtp.gmail.com 
// puerto por defecto = 465
// tipo seguridas = ssl 

////////////////////////////////////////////////////////  SERVIDOR HOTMAIL   //////////////////////////////////////////////////////

// habilitar en opciones, correo, POP E IMAP   permitir que los dispositivos y las aplicaciones utilicen POP

// servidor por defecto = smtp-mail.outlook.com	
// puerto por defecto = 587
// tipo seguridas = tls


////////////////////////////////////////////////////////  SERVIDOR LOCAL   //////////////////////////////////////////////////////

// servidor por defecto = server.servycompu.com 
// puerto por defecto = 587
// tipo seguridas = ninguna

echo $codnota=$_GET["codnota"];

include ("../conexion.php");
require_once('class.phpmailer.php');

		
		       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $nomcom =  $row_para["NOMCOM"];
	   $clacor =  $row_para["CLACOR"];
	   $sercor =  $row_para["SERCOR"];
	   $coremp =  $row_para["COREMP"];
	   $segcor =  $row_para["SEGCOR"];
	   $puecor =  $row_para["PUECOR"];

		       $factura= "SELECT cdgcli,dsccli, numcomp, cdgclave FROM facturas_notas_debito WHERE codnota='$codnota' ";
       $result_factura = $mysqli->query($factura);
       $row_factura = $result_factura->fetch_array();
     
	   $cdgcli    =  $row_factura["cdgcli"];
	   $dsccli    =  $row_factura["dsccli"];
	   $numcomp   =  $row_factura["numcomp"];
	   $cdgclave  =  $row_factura["cdgclave"];


  $consulta = "SELECT  corcli, corcli2 FROM web_0301 WHERE cdgcli='$cdgcli'";
       $resultado = $mysqli->query($consulta);
       $row = $resultado->fetch_array();
       $corcli = $row["corcli"];
	   $corcli2 = $row["corcli2"];


     
     /////////////////////////////////////////////////  INICIO DEL CORREO //////////////////////////////////////////

    $mail = new PHPMailer;
    $mail->SMTPDebug = 0;
    $mail->isSMTP();
                     
    $mail->Host = $sercor;
    $mail->SMTPAuth = true;
    $mail->Username = $coremp;
    $mail->Password = $clacor;
    $mail->SMTPSecure = $segcor;
    $mail->Port = $puecor;
    $mail->From = $coremp;  
    $mail->FromName = $nomcom;
    $mail->addAddress( $corcli, $dsccli);
    $mail->isHTML(true);

    $mail->Subject = 'Nota Debito Electronica '.$nomcom;
	$mail->AltBody = 'Nota Debito Electronica'; // optional - MsgHTML will create an alternate automatically  
	$mail->MsgHTML('Saludos ' .$dsccli .' Adjunto encontrara su Nota de Debito Electronica ');
	// $mail->MsgHTML(file_get_contents('contents.html'));
	  
    $mail->AddAttachment('../FE/notaDebito/crt/comprobantes/'.$numcomp.'.xml');  
	$mail->AddAttachment('../FE/notaDebito/crt/NC_pdf/NC'.$numcomp.'.pdf');  
	$mail->AddAttachment('../FE/notaDebito/crt/mensajes/mns-'.$cdgclave.'.xml');  
	     
	//+
	//$mail->AddAttachment('../fpdf/XML.png'); 
	
	
	
		if (!$mail->send()) {
			echo "Por favor Verifique el error el correo no pudo ser enviado : " . $mail->ErrorInfo;
		}
		else {
		
			$sel_envio="UPDATE facturas_notas_debito SET estenvio=1 WHERE cdgclave = '$cdgclave'  "; //// se suma el consecutivo a contado numfaccre
	    	$mysqli->query($sel_envio);
			
			   echo 'Correo Fue enviado de Forma Exitosa ';
		 echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";   
		}
		
	
	
	if ( $corcli2 <> "") {
	
	  /////////////////////////////////////////////////  INICIO DEL SEGUNDO  CORREO //////////////////////////////////////////

    $mail = new PHPMailer;
    $mail->SMTPDebug = 0;
    $mail->isSMTP();
                     
    $mail->Host = $sercor;
    $mail->SMTPAuth = true;
    $mail->Username = $coremp;
    $mail->Password = $clacor;
    $mail->SMTPSecure = $segcor;
    $mail->Port = $puecor;
    $mail->From = $coremp;  
    $mail->FromName = $nomcom;
    $mail->addAddress( $corcli2, $dsccli);
    $mail->isHTML(true);

       $mail->Subject = 'Nota Debito Electronica '.$nomcom;
	$mail->AltBody = 'Nota Debito Electronica'; // optional - MsgHTML will create an alternate automatically  
	$mail->MsgHTML('Saludos ' .$dsccli .' Adjunto encontrara su Nota de Debito Electronica ');
	// $mail->MsgHTML(file_get_contents('contents.html'));
	  
    $mail->AddAttachment('../FE/notaDebito/crt/comprobantes/'.$numcomp.'.xml');  
	$mail->AddAttachment('../FE/notaDebito/crt/NC_pdf/NC'.$numcomp.'.pdf');  
	$mail->AddAttachment('../FE/notaDebito/crt/mensajes/mns-'.$cdgclave.'.xml');  
	     
	//+
	//$mail->AddAttachment('../fpdf/XML.png'); 
	
		if (!$mail->send()) {
			echo "Por favor Verifique el error el SEGUNDO CORREO no pudo ser enviado : " . $mail->ErrorInfo;
		}
		else {
		
			   echo ' SEGUNDO CORREO Fue enviado de Forma Exitosa ';

		}
	
	
	
	}
		
	?>

</body>
</html>
